/**
 * 
 */
package kr.co.kihyun.beans.entity;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author bhs
 * 
 */
public enum Recog {
                  NOT_RECOG("미승인")            //0
                , PRSS("승인진행")               //1
                , COMP("승인완료")               //2
                , RETURN_RECOG("반려")           //3
                , ARBITRARY("전결")              //4
                , FINAL_RECOG("최종승인")        //5
                , NEIS_ONGOING("승인상신(진행)") //6
                , NEIS_RETURN("승인반려")        //7
                , NEIS_COMP("승인완결");         //8

	private String name;
        private static final Logger LOG = LoggerFactory.getLogger(Recog.class);

	private Recog(String name) {
		this.name = name;
	}

	@Override
	public String toString() {
		return name;
	}

      //v2. 5.static final 필드 변조 가능성 : Update by KWON,HAN 
      //private는 같은 클래스 내에서만 호출이 가능하므로 접근제한이 없는 public으로 하고 final을 사용하지 않는다        
//	public static final Recog asRecogType(int recog) {
        public static Recog asRecogType(int recog) {
            LOG.debug("v2. 5.static final 필드 변조 가능성 : Recog.asRecogType() Not Test {}", values()[recog]);
		return values()[recog];
	}
      //==========================================================        
}
